ちょっとメモ程度に書いておきます。
nendの広告アプリをiOSに出すとき、Xcodeでフレームワークの追加をしなければなりません(結論として追加が必要なフレームワークは3つです)。
※自動で追加させる方法もあるのですがRubyの知識がまったくないのでまだチャレンジしてません

で、nendの導入マニュアルには特に追加するフレームワークについては記載されていないように思ったのですが、ネットで調べてみたら必要なフレームワークは
ちゃんと以下のフレームワークを追加するように記載されていました。

  • AdSupport.framework
  • Security.framework

の二つということでした。

でも、この二つのフレームワークを追加してもリンカーエラーになります。
で、もうちょっと調べたら

  • ImageIO.framework

も必要と書いてあるところがあり、このフレームワークを追加したらたしかに問題なくビルドできました。

必要な場合と必要ない場合があるってのは開発環境によるんでしょうかねぇ。正直そういうのはよくわかりませんが・・・。

追記

ちゃんと必要なフレームワークがnendのマニュアルに記載されていました・・・すみません